## r-cran-gh 1.0.1

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.0.1
Authors@R: 
    c(person("Gábor", "Csárdi",, "csardi.gabor@gmail.com", c("cre", "ctb")),
      person("Jennifer", "Bryan", role = "aut"),
      person("Hadley", "Wickham", role = "aut"))
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Suggests: covr, pingr, testthat
Imports: ini, jsonlite, httr
RoxygenNote: 6.0.1.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2017-07-16 16:36:29 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2017-07-16 20:28:25 UTC

=== debian/changelog ===
r-cran-gh (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #911913)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 26 Oct 2018 07:41:00 +0200

=== debian/control ===
Source: r-cran-gh
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-ini,
               r-cran-jsonlite,
               r-cran-httr
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
Homepage: https://cran.r-project.org/package=gh

Package: r-cran-gh
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Minimal client to access the 'GitHub' 'API'
 Minimal client to access the 'GitHub' 'API' with the GNU R environment.

## r-cran-gh 1.1.0

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.1.0
Authors@R: 
    c(person("Gábor", "Csárdi",, "csardi.gabor@gmail.com", c("cre", "ctb")),
      person("Jennifer", "Bryan", role = "aut"),
      person("Hadley", "Wickham", role = "aut"))
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Suggests: covr, keyring, pingr, testthat, withr
Imports: cli, ini, jsonlite, httr (>= 1.2)
RoxygenNote: 7.0.2.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-01-24 01:39:13 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2020-01-24 06:50:17 UTC

=== debian/changelog ===
r-cran-gh (1.1.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:37:20 +0000

r-cran-gh (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 10:15:10 +0200

r-cran-gh (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 10:59:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-cli,
                r-cran-ini,
                r-cran-jsonlite,
                r-cran-httr
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh
+Rules-Requires-Root: no
 
 Package: r-cran-gh
 Architecture: all

## r-cran-gh 1.2.0

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.2.0
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = c("cre", "ctb"),
             email = "csardi.gabor@gmail.com"),
      person(given = "Jennifer",
             family = "Bryan",
             role = "aut"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Imports: cli (>= 2.0.1), gitcreds, httr (>= 1.2), ini, jsonlite
Suggests: covr, knitr, rmarkdown, rprojroot, spelling, testthat (>=
        2.3.2), withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.1.1.9000
NeedsCompilation: no
Packaged: 2020-11-27 13:28:47 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2020-11-27 13:50:02 UTC

=== debian/changelog ===
r-cran-gh (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 08:47:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli,
                r-cran-ini,
                r-cran-jsonlite,
-               r-cran-httr
-Standards-Version: 4.5.0
+               r-cran-httr,
+               r-cran-gitcreds
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh

## r-cran-gh 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gh
 Title: 'GitHub' 'API'
-Version: 1.2.0
+Version: 1.3.0
 Authors@R: 
     c(person(given = "Gábor",
              family = "Csárdi",
@@ -19,19 +19,18 @@
 URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
 BugReports: https://github.com/r-lib/gh/issues
 Imports: cli (>= 2.0.1), gitcreds, httr (>= 1.2), ini, jsonlite
-Suggests: covr, knitr, rmarkdown, rprojroot, spelling, testthat (>=
-        2.3.2), withr
+Suggests: covr, knitr, mockery, rmarkdown, rprojroot, spelling,
+        testthat (>= 2.3.2), withr
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-US
-LazyData: true
-RoxygenNote: 7.1.1.9000
+RoxygenNote: 7.1.1.9001
 NeedsCompilation: no
-Packaged: 2020-11-27 13:28:47 UTC; gaborcsardi
+Packaged: 2021-04-30 08:22:26 UTC; gaborcsardi
 Author: Gábor Csárdi [cre, ctb],
   Jennifer Bryan [aut],
   Hadley Wickham [aut],
   RStudio [cph, fnd]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-11-27 13:50:02 UTC
+Date/Publication: 2021-04-30 10:40:14 UTC

=== debian/changelog ===
r-cran-gh (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Test-Depends: r-cran-mockery

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 10:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli,
+               r-cran-cli (>= 2.0.1),
+               r-cran-gitcreds,
+               r-cran-httr,
                r-cran-ini,
-               r-cran-jsonlite,
-               r-cran-httr,
-               r-cran-gitcreds
-Standards-Version: 4.5.1
+               r-cran-jsonlite
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh

## r-cran-gh 1.3.1

=== debian/changelog ===
r-cran-gh (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 10:05:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli (>= 2.0.1),
+               r-cran-cli (>= 3.0.1),
                r-cran-gitcreds,
                r-cran-httr,
                r-cran-ini,
                r-cran-jsonlite
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh

## r-cran-gh 1.4.0

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.4.0
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("cre", "ctb")),
    person("Jennifer", "Bryan", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.0.1), gitcreds, httr2, ini, jsonlite, rlang (>=
        1.0.0)
Suggests: covr, knitr, mockery, rmarkdown, rprojroot, spelling,
        testthat (>= 3.0.0), withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
NeedsCompilation: no
Packaged: 2023-02-22 19:58:53 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-22 20:20:02 UTC

=== debian/changelog ===
r-cran-gh (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 10:24:41 +0100

=== debian/control ===
Source: r-cran-gh
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
Homepage: https://cran.r-project.org/package=gh
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.0.1),
               r-cran-gitcreds,
               r-cran-httr2,
               r-cran-ini,
               r-cran-jsonlite,
               r-cran-rlang (>= 1.0.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-gh
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Minimal client to access the 'GitHub' 'API'
 Minimal client to access the 'GitHub' 'API' with the GNU R environment.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gh_([-\d.]*)\.tar\.gz

## r-cran-gh 1.4.1

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.4.1
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("cre", "ctb")),
    person("Jennifer", "Bryan", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Depends: R (>= 3.6)
Imports: cli (>= 3.0.1), gitcreds, glue, httr2, ini, jsonlite,
        lifecycle, rlang (>= 1.0.0)
Suggests: covr, knitr, mockery, rmarkdown, rprojroot, spelling,
        testthat (>= 3.0.0), withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.1.9000
NeedsCompilation: no
Packaged: 2024-03-28 12:17:15 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2024-03-28 16:40:07 UTC

=== debian/changelog ===
r-cran-gh (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Jun 2024 08:58:24 +0900

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-cli (>= 3.0.1),
                r-cran-gitcreds,
+               r-cran-glue,
                r-cran-httr2,
                r-cran-ini,
                r-cran-jsonlite,
+               r-cran-lifecycle,
                r-cran-rlang (>= 1.0.0)
 Testsuite: autopkgtest-pkg-r

## r-cran-gh 1.5.0

=== DESCRIPTION ===
Package: gh
Title: 'GitHub' 'API'
Version: 1.5.0
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("cre", "ctb")),
    person("Jennifer", "Bryan", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Minimal client to access the 'GitHub' 'API'.
License: MIT + file LICENSE
URL: https://gh.r-lib.org/, https://github.com/r-lib/gh#readme
BugReports: https://github.com/r-lib/gh/issues
Depends: R (>= 4.1)
Imports: cli (>= 3.0.1), gitcreds, glue, httr2 (>= 1.0.6), ini,
        jsonlite, lifecycle, rlang (>= 1.0.0)
Suggests: connectcreds, covr, knitr, rmarkdown, rprojroot, spelling,
        testthat (>= 3.0.0), withr
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-29
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2.9000
NeedsCompilation: no
Packaged: 2025-05-26 09:32:03 UTC; gaborcsardi
Author: Gábor Csárdi [cre, ctb],
  Jennifer Bryan [aut],
  Hadley Wickham [aut],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2025-05-26 13:10:02 UTC

=== debian/changelog ===
r-cran-gh (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1110481)
  * Standards-Version: 4.7.2 (no changes needed)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Sep 2025 17:28:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gh
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gh.git
 Homepage: https://cran.r-project.org/package=gh
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-knitr,
        r-cran-mockery,
        r-cran-rmarkdown,
        r-cran-rprojroot,
        r-cran-spelling,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr
